const fs = require('fs');

mp.events.add('playerReady', (player) => {
    player.call('collectClothesData');
});

mp.events.add('saveClothesData', (player, data) => {
    try {
        const jsonData = JSON.parse(data);
        const fileName = `clothingOffsets_${Date.now()}.json`;

        fs.writeFileSync(fileName, JSON.stringify(jsonData, null, 2));
        console.log(`Данные успешно сохранены в файл: ${fileName}`);
    } catch (error) {
        console.error('Ошибка при записи данных об одежде:', error);
    }
});
