mp.events.add('collectBarberData', () => {
    const data = {
        male: {},
        female: {}
    };

    const getBarberData = (modelHash, gender) => {
        mp.players.local.model = mp.game.joaat(modelHash);
        mp.game.wait(100);

        const hairVariations = mp.players.local.getNumberOfDrawableVariations(2);
        const hairColors = mp.game.ped.getNumHairColors();
        data[gender].Hair = { styles: hairVariations, colors: hairColors };

        const beardVariations = mp.game.ped.getNumHeadOverlayValues(1);
        data[gender].Beard = { variations: beardVariations };

        const bodyVariations = mp.game.ped.getNumHeadOverlayValues(5);
        data[gender].Body = { variations: bodyVariations };

        const eyebrowsVariations = mp.game.ped.getNumHeadOverlayValues(2);
        data[gender].Eyebrows = { variations: eyebrowsVariations };

        const eyeColors = mp.game.ped.getNumHeadOverlayValues(14);
        data[gender].Eyes = { colors: eyeColors };

        const lipsVariations = mp.game.ped.getNumHeadOverlayValues(8);
        data[gender].Lips = { variations: lipsVariations };

        const makeupVariations = mp.game.ped.getNumHeadOverlayValues(4);
        data[gender].Makeup = { variations: makeupVariations };

        data[gender].Palette = { colors: 177 };
    };

    getBarberData('mp_m_freemode_01', 'male');

    getBarberData('mp_f_freemode_01', 'female');

    mp.events.callRemote('saveBarberData', JSON.stringify(data));
});
