const clothesTypes = {
    Hats: 0,
    Glasses: 1,
    Earrings: 2,
    Masks: 1,
    Accessories: 7,
    Tops: 11,
	Torsos: 3,
    Undershirts: 8,
    Pants: 4,
    Shoes: 6,
    Bags: 5,
    Armors: 9,
    Decals: 10,
    Watches: 6, // Часы (проп)
    Bracelets: 7 // Браслеты (проп)
};

mp.events.add('collectClothesData', () => {
    const data = {
        male: {},
        female: {}
    };

    let counter = 1;

    const getClothingData = (modelHash, gender) => {
        mp.players.local.model = mp.game.joaat(modelHash);
        mp.game.wait(100);

        for (let key in clothesTypes) {
            const type = clothesTypes[key];
            let variations;

            if (type === 0 || type === 1 || type === 2 || type === 6 || type === 7) {
                variations = mp.players.local.getNumberOfPropDrawableVariations(type);
            } else {
                variations = mp.players.local.getNumberOfDrawableVariations(type);
            }

            data[gender][counter++] = {
                category: key,
                type: type,
                variations: variations
            };
        }
    };

    getClothingData('mp_m_freemode_01', 'male');

    getClothingData('mp_f_freemode_01', 'female');

    mp.events.callRemote('saveClothesData', JSON.stringify(data));
});
